import { app } from '../../app.ts';
import { PageModel } from './models/index.ts';

app
  .route({
    path: 'page',
    key: 'list',
  })
  .define(async (ctx) => {
    ctx.body = await PageModel.findAll();
    return ctx;
  })
  .addTo(app);

app
  .route({
    path: 'page',
    key: 'add',
  })
  .define(async (ctx) => {
    const data = ctx.query;
    const page = await PageModel.create(data);
    ctx.body = page;
    return ctx;
  })
  .addTo(app);

app
  .route({
    path: 'page',
    key: 'delete',
  })
  .define(async (ctx) => {
    const id = ctx.query.id;
    const page = await PageModel.findByPk(id);
    if (page) {
      await page.destroy();
    }
    ctx.body = page;
    return ctx;
  })
  .addTo(app);
